class puppet_enterprise::profile::amq::hub (
  $brokername         = $puppet_enterprise::params::activemq_brokername,
  $heap_mb            = $puppet_enterprise::params::activemq_heap_mb,
  $keystore_password     = $puppet_enterprise::params::activemq_java_ks_password,
  $truststore_password   = $puppet_enterprise::params::activemq_java_ts_password,
  $network_ttl        = $puppet_enterprise::params::activemq_network_ttl,
  $openwire_protocol  = $puppet_enterprise::params::openwire_protocol,
  $stomp_protocol     = $puppet_enterprise::params::stomp_protocol,
  $stomp_port         = $puppet_enterprise::mcollective_middleware_port,
  $stomp_user         = $puppet_enterprise::mcollective_middleware_user,
  $stomp_password     = $puppet_enterprise::mcollective_middleware_password,
  $enable_web_console  = false,
  $memory_usage        = '200mb',
  $store_usage         = '1gb',
  $temp_usage          = '1gb',
) inherits puppet_enterprise {

  class { 'puppet_enterprise::profile::amq::broker':
    brokername          => $brokername,
    heap_mb             => $heap_mb,
    keystore_password   => $keystore_password,
    network_ttl         => $network_ttl,
    truststore_password => $truststore_password,
    openwire_protocol   => $openwire_protocol,
    stomp_password      => $stomp_password,
    stomp_port          => $stomp_port,
    stomp_protocol      => $stomp_protocol,
    stomp_user          => $stomp_user,
    enable_web_console  => $enable_web_console,
    memory_usage        => $memory_usage,
    store_usage         => $store_usage,
    temp_usage          => $temp_usage,
  }

  Puppet_enterprise::Amq::Config::Network_connector <<| tag == 'pe-amq-network-connectors' |>>
}
