class puppet_enterprise::profile::mcollective::agent (
  $activemq_brokers     = $puppet_enterprise::mcollective_middleware_hosts,
  $collectives          = ['mcollective'],
  $main_collective      = 'mcollective',
  $mco_identity         = $puppet_enterprise::params::mco_identity,
  $mco_registerinterval = $puppet_enterprise::params::mco_registerinterval,
  $stomp_password       = $puppet_enterprise::mcollective_middleware_password,
  $stomp_port           = $puppet_enterprise::mcollective_middleware_port,
  $stomp_user           = $puppet_enterprise::mcollective_middleware_user,
) inherits puppet_enterprise {

  pe_validate_array($collectives)

  # Don't accept the shared server public key as a client, or every server can
  # act as a client!
  file { "${puppet_enterprise::params::mco_clients_cert_dir}/${puppet_enterprise::params::mco_server_name}-public.pem":
    ensure => absent,
  }

  class { 'puppet_enterprise::mcollective::server':
    activemq_brokers     => $activemq_brokers,
    collectives          => $collectives,
    main_collective      => $main_collective,
    mco_identity         => $mco_identity,
    mco_registerinterval => $mco_registerinterval,
    stomp_password       => $stomp_password,
    stomp_port           => $stomp_port,
    stomp_user           => $stomp_user,
  }
}
