define puppet_enterprise::trapperkeeper::activity (
  $container           = $title,
  $user                = "pe-${title}",
  $group               = "pe-${title}",
  $database_host       = 'localhost',
  $database_port       = $puppet_enterprise::params::database_port,
  $database_name       = $puppet_enterprise::params::activity_database_name,
  $database_user       = $puppet_enterprise::params::activity_database_user,
  $database_password   = $puppet_enterprise::params::activity_database_password,
  $database_properties = '',
  $rbac_host           = 'localhost',
  $rbac_port           = $puppet_enterprise::params::console_services_api_listen_port,
  $rbac_url_prefix     = $puppet_enterprise::params::rbac_url_prefix,
) {
  File {
    owner => $user,
    group => $group,
    mode  => '0640',
  }

  # Uses
  #   $rbac_host
  #   $rbac_port
  #   $rbac_url_prefix
  file { "/etc/puppetlabs/${container}/conf.d/activity.conf":
    content => template('puppet_enterprise/trapperkeeper/activity/activity.conf.erb'),
  }

  unless pe_empty($database_password) {
    # Uses
    #   $database_host
    #   $database_port
    #   $database_name
    #   $database_user
    #   $database_password
    #   $database_properties
    file { "/etc/puppetlabs/${container}/conf.d/activity-database.conf":
      content => template('puppet_enterprise/trapperkeeper/activity/activity-database.conf.erb'),
    }
  }

  puppet_enterprise::trapperkeeper::bootstrap_cfg { "${container}:activity activity-service" :
    container => $container,
    namespace => 'puppetlabs.activity.services',
    service   => 'activity-service',
  }

  puppet_enterprise::trapperkeeper::bootstrap_cfg { "${container}:activity jetty9-service" :
    container => $container,
    namespace => 'puppetlabs.trapperkeeper.services.webserver.jetty9-service',
    service   => 'jetty9-service',
  }
}
